Package org.opencv.features2d

## Class KAZE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.features2d.KAZE

-     public class KAZE
      extends Feature2D

  Class implementing the KAZE keypoint detector and descriptor extractor, described in CITE: ABD12 . Note: AKAZE descriptor can only be used with KAZE or AKAZE keypoints .. [ABD12] KAZE Features. Pablo F. Alcantarilla, Adrien Bartoli and Andrew J. Davison. In European Conference on Computer Vision (ECCV), Fiorenze, Italy, October 2012.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DIFF_CHARBONNIER` |
    `static int` | `DIFF_PM_G1` |
    `static int` | `DIFF_PM_G2` |
    `static int` | `DIFF_WEICKERT` |

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `KAZE​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KAZE` | `__fromPtr__​(long addr)` |
    `static KAZE` | `create()` | The KAZE constructor DIFF_CHARBONNIER
    `static KAZE` | `create​(boolean extended)` | The KAZE constructor
    `static KAZE` | `create​(boolean extended, boolean upright)` | The KAZE constructor
    `static KAZE` | `create​(boolean extended, boolean upright, float threshold)` | The KAZE constructor
    `static KAZE` | `create​(boolean extended, boolean upright, float threshold, int nOctaves)` | The KAZE constructor
    `static KAZE` | `create​(boolean extended, boolean upright, float threshold, int nOctaves, int nOctaveLayers)` | The KAZE constructor
    `static KAZE` | `create​(boolean extended, boolean upright, float threshold, int nOctaves, int nOctaveLayers, int diffusivity)` | The KAZE constructor
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `int` | `getDiffusivity()` |
    `boolean` | `getExtended()` |
    `int` | `getNOctaveLayers()` |
    `int` | `getNOctaves()` |
    `double` | `getThreshold()` |
    `boolean` | `getUpright()` |
    `void` | `setDiffusivity​(int diff)` |
    `void` | `setExtended​(boolean extended)` |
    `void` | `setNOctaveLayers​(int octaveLayers)` |
    `void` | `setNOctaves​(int octaves)` |
    `void` | `setThreshold​(double threshold)` |
    `void` | `setUpright​(boolean upright)` |

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DIFF_PM_G1

          public static final int DIFF_PM_G1

      See Also:
        Constant Field Values

    - #### DIFF_PM_G2

          public static final int DIFF_PM_G2

      See Also:
        Constant Field Values

    - #### DIFF_WEICKERT

          public static final int DIFF_WEICKERT

      See Also:
        Constant Field Values

    - #### DIFF_CHARBONNIER

          public static final int DIFF_CHARBONNIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KAZE

          protected KAZE​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static KAZE __fromPtr__​(long addr)

    - #### getDiffusivity

          public int getDiffusivity()

    - #### create

          public static KAZE create​(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves,
                                    int nOctaveLayers,
                                    int diffusivity)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor.
        `upright` - Set to enable use of upright descriptors (non rotation-invariant).
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image
        `nOctaveLayers` - Default number of sublevels per scale level
        `diffusivity` - Diffusivity type. DIFF_PM_G1, DIFF_PM_G2, DIFF_WEICKERT or DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create​(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves,
                                    int nOctaveLayers)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor.
        `upright` - Set to enable use of upright descriptors (non rotation-invariant).
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image
        `nOctaveLayers` - Default number of sublevels per scale level DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create​(boolean extended,
                                    boolean upright,
                                    float threshold,
                                    int nOctaves)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor.
        `upright` - Set to enable use of upright descriptors (non rotation-invariant).
        `threshold` - Detector response threshold to accept point
        `nOctaves` - Maximum octave evolution of the image DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create​(boolean extended,
                                    boolean upright,
                                    float threshold)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor.
        `upright` - Set to enable use of upright descriptors (non rotation-invariant).
        `threshold` - Detector response threshold to accept point DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create​(boolean extended,
                                    boolean upright)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor.
        `upright` - Set to enable use of upright descriptors (non rotation-invariant). DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create​(boolean extended)

      The KAZE constructor
      Parameters:
        `extended` - Set to enable extraction of extended (128-byte) descriptor. DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### create

          public static KAZE create()

      The KAZE constructor DIFF_CHARBONNIER
      Returns:
        automatically generated

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### getExtended

          public boolean getExtended()

    - #### getUpright

          public boolean getUpright()

    - #### getThreshold

          public double getThreshold()

    - #### getNOctaveLayers

          public int getNOctaveLayers()

    - #### getNOctaves

          public int getNOctaves()

    - #### setDiffusivity

          public void setDiffusivity​(int diff)

    - #### setExtended

          public void setExtended​(boolean extended)

    - #### setNOctaveLayers

          public void setNOctaveLayers​(int octaveLayers)

    - #### setNOctaves

          public void setNOctaves​(int octaves)

    - #### setThreshold

          public void setThreshold​(double threshold)

    - #### setUpright

          public void setUpright​(boolean upright)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `java.lang.Throwable`